# UPLOS Copyright by Bill Reynolds (Texstar)
# UPLOS-Converter         
# Created for PClinuxOS 2010    
# by D.M-Wilhelm (leiche)      
# Mon Aug 29 2011              
# Email <meisssw01 at gmail.com> 
# License GPL2                 
#
%define prefix /usr
%define name UPLOS-Converter
%define iname uplos-convert
%define version 2.1
%define release %mkrel 1
%define url http://www.liberainformatica.it/forum/forumdisplay.php?fid=25

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	A Simple Audio Converter
Summary(de):	Ein einfacher Audio Konverter
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

Requires:	yad, gtkdialog, bash, grep
Requires:	ffmpeg, parallel, normalize
# used icon created by agmg
#Requires:	gnome-icon-theme
Obsoletes:	%name < %version

%description
A Simple Audio Converter, convert wav, flac, mp3, ogg, or aac.
Based on gtkdialog, and use ffmpeg.

#german
%description -l de
Ein einfacher Audio Konverter, konvertiert wav, flac, mp3, ogg, oder aac.
Basierend auf gtkdialog und nutzt ffmpeg.

%prep

%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/%{_datadir}/%{name}
install -m 755 uplos-converter %{buildroot}%{_datadir}/%{name}/
install -m 644 uploslogo.png %{buildroot}%{_datadir}/%{name}/uploslogo.png
cp -a $RPM_BUILD_DIR/%{name}-%{version}/icons %{buildroot}%{_datadir}/%{name}/
install -m 644 HISTORY %{buildroot}%{_datadir}/%{name}/

mkdir -p %{buildroot}/%{_iconsdir}
#icon Symbol
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/
convert icons/uplos-converter.png -resize 32x32 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{iname}.png
convert icons/uplos-converter.png -resize 16x16 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{iname}.png
convert icons/uplos-converter.png -resize 48x48 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{iname}.png
install -m 644 icons/uplos-converter.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{iname}.png

install -d -m 0755 $RPM_BUILD_ROOT%{_bindir}
cat > %{buildroot}%{_bindir}/uplos-converter << EOF
# simple launcher for %{name}
#
%{_datadir}/%{name}/uplos-converter
exit 0
EOF
%__chmod 777 $RPM_BUILD_ROOT%{_bindir}/uplos-converter

install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/uplos-converter.desktop << EOF
[Desktop Entry]
Name=UPLOS-Audio Converter
Name[de]=UPLOS-Audio Konverter
Comment=plays and convert Audio files
Comment[de]=spielt und konventiert Audio Dateien
Exec=%{_datadir}/%{name}/uplos-converter
Icon=uplos-convert
Terminal=false
Type=Application
Categories=Application;X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio
Encoding=UTF-8
EOF

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,es}/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/uplos-converter.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/uplos-converter-de_DE.po
msgfmt -o  %{buildroot}%{_datadir}/locale/es/LC_MESSAGES/uplos-converter.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/uplos-converter-es_ES.po



%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/uplos-converter
%{_datadir}/%{name}/uplos-converter
%{_datadir}/%{name}/HISTORY
%{_datadir}/%{name}/icons/*.png
%{_datadir}/applications/uplos-converter.desktop
%{_datadir}/%{name}/uploslogo.png
%{_iconsdir}/hicolor/*/apps/%{iname}.png
%{_datadir}/locale/*/LC_MESSAGES/uplos-converter.mo
#%doc

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Wed Jan 11 2017 adrianomorselli <adrianomorselli> 2.1-1uplos2017
- switch to uplos
